﻿@model ConfirmPhoneNumberViewModel
@{
    ViewBag.Title = "تایید شماره موبایل";
}

<div class="container">
    <div class="row mt-3">
        <div class="col-12">
            <h4 class="page-title"><span>@ViewBag.Title</span></h4>
        </div>
        <div class="col-md-6 push-md-3">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <section class="loginForm" id="loginForm">
                            @using (Html.BeginForm("ConfirmPhoneNumber", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form" }))
                            {
                                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                                @Html.AntiForgeryToken()
                                if (Model.PhoneNumber.HasValue())
                                {
                                    @Html.HiddenFor(m => m.PhoneNumber)
                                }
                                else
                                {
                                    <div class="form-group">
                                        @Html.LabelFor(m => m.PhoneNumber)
                                        @Html.TextBoxFor(m => m.PhoneNumber, new { @class = "form-control" })
                                        @Html.ValidationMessageFor(m => m.PhoneNumber, "", new { @class = "text-danger" })
                                    </div>
                                }
                                <div class="form-group">
                                    @Html.LabelFor(m => m.Code)
                                    @Html.TextBoxFor(m => m.Code, new { @class = "form-control" })
                                    @Html.ValidationMessageFor(m => m.Code, "", new { @class = "text-danger" })
                                </div>
                                <div class="form-group">
                                    <input type="submit" value="ثبت" class="btn btn-block btn-lg btn-primary" />
                                </div>
                            }
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section Scripts {
    @Scripts.Render("~/js/jqueryval")
}